## org.hibernate.ejb.event
Class EJB3PostInsertEventListener

    java.lang.Object
      org.hibernate.ejb.event.EJB3PostInsertEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, PostInsertEventListener

    public class EJB3PostInsertEventListener

extends Object
implements PostInsertEventListener, CallbackHandlerConsumer

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`EJB3PostInsertEventListener()`
`EJB3PostInsertEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`void` `onPostInsert(PostInsertEvent event)`
`void` `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PostInsertEventListener

    public EJB3PostInsertEventListener()

### EJB3PostInsertEventListener

    public EJB3PostInsertEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### onPostInsert

    public void onPostInsert(PostInsertEvent event)

  Specified by:
    `onPostInsert` in interface `PostInsertEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.